<?php 
require('../flowap/system.php');
switch($act) {
    default: 
    	$ids = functions::htmlred($_GET['load']); 
    	$loads = DB::$dbs->queryFetch('SELECT `name`,`id` FROM `files_blog` WHERE `gen` = ? LIMIT 1', [$ids]);
	    if(empty($loads['id'])):
	        header('location: /'); exit;
	    endif;
	    DB::$dbs->query('UPDATE `files_blog` SET `loads` = `loads` + 1 WHERE `id` = ? LIMIT 1', [$loads['id']]);
	    header('location: /files/files/'.$loads['name']); exit;
	break;
}
?>